API ReferenceVICAL Signers
Create a VICAL signer
POST
/v1/ecosystems/certificates/vical-signersCreates a VICAL signer.
- Only available in implementations using unmanaged (external) DTS root CA certificates.
- A maximum of five VICAL signers can be created per tenant.
Roles
admindts-provider
Analytics Events
ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_CREATE_STARTECOSYSTEM_VICAL_SIGNER_CERTIFICATE_CREATE_SUCCESSECOSYSTEM_VICAL_SIGNER_CERTIFICATE_CREATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/ecosystems/certificates/vical-signers" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "csrPem": "string", "caId": "24c00dcc-a2d5-4635-ba3f-14dcbc0a8ea3", "intermediateCaId": "c04f6eaa-7183-4dfc-a249-59f9e8b2ddde", "active": false}How would you rate this page?